#
# spec file for package ffmpeg2theora
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ffmpeg2theora
Version:        0.30
Release:        lp150.2.13
License:        GPL-2.0+
Summary:        A simple converter to create Ogg Theora files
Url:            http://v2v.cc/~j/ffmpeg2theora/index.html
Group:          Productivity/Multimedia/Other
Source0:        http://v2v.cc/~j/ffmpeg2theora/%{name}-%{version}.tar.bz2
Patch0:         ffmpeg2theora.sort.patch
Patch1:         ffmpeg2theora.scons.patch
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavdevice) = 56.4.100
BuildRequires:  pkgconfig(libavfilter) = 5.40.101
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libpostproc) = 53.3.100
BuildRequires:  pkgconfig(libswresample) = 1.2.101
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  libkate-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libtheora-devel
BuildRequires:  scons
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A simple converter to create Ogg Theora files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
scons \
	prefix=%{_prefix} \
	mandir=%{_mandir} \
	destdir=%{buildroot} \
	APPEND_CCFLAGS="%{optflags} -Wno-unused-variable -Wno-unused-but-set-variable" \
	APPEND_LINKFLAGS="-lm" \
	install
install -D -m 0644 ffmpeg2theora.1 %{buildroot}%{_mandir}/man1/ffmpeg2theora.1

%files
%defattr(-,root,root)
%doc ChangeLog COPYING AUTHORS README
%{_bindir}/ffmpeg2theora
%doc %{_mandir}/man1/ffmpeg2theora.1*

%changelog
* Sat Feb 11 2017 olaf@aepfle.de
- Update to 0.30
* Tue Aug 20 2013 i@margueirte.su
- fix ffmpeg 2.0 build
* Mon Jul  2 2012 Manfred.Tremmel@iiv.de
- updates to 0.29
  * use GPL 2 or later, to make use of some decoders only available
    in GPL 2 version of ffmpeg
  * update to current ffmpeg api
  * output version information of libraries used
* Sun May 27 2012 Manfred.Tremmel@iiv.de
- updates from svn to get it work with ffmpeg 0.11
* Thu Mar 15 2012 jw@suse.de
- build failed due to api changes in ffmpeg. Adding suggested patch from
  http://bazaar.launchpad.net/~vcs-imports/ffmpeg2theora/trunk/revision/509
